server:
  port: 8080
  servlet:
      context-path: /twitterxs
  error:
    whitelabel: 
      enabled: false

spring:
  datasource:
    url: jdbc:mysql://localhost:3306/twitterxs?createDatabaseIfNotExist=true&useSSL=false&useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=CET
    username: root
    password: root
  jpa:
    show-sql: true
    generate-ddl: true #true pour generer automatique la bdd
    #generate-ddl: true
    hibernate:
       ddl-auto: update
       #ddl-auto: create-drop
    properties: 
      hibernate.dialect: org.hibernate.dialect.MySQL5InnoDBDialect
      hibernate.format_sql: true
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss.SSS
